Bug 85362 - Disallow unquoted -webkit-font-feature-settings tags
Summary: Disallow unquoted -webkit-font-feature-settings tags
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kenichi Ishibashi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-02 03:46 PDT by Kenichi Ishibashi
Modified: 2012-05-06 20:12 PDT (History)
6 users (show)

See Also:


Attachments
Patch (6.35 KB, patch)
2012-05-02 03:52 PDT, Kenichi Ishibashi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenichi Ishibashi 2012-05-02 03:46:49 PDT
John Daggett’s proposal to restrict syntax of font-feature-settings to well-formed OpenType tags accepted (http://www.w3.org/blog/CSS/2012/04/26/resolutions-32/) and the draft spec was updated(http://dev.w3.org/csswg/css3-fonts/#font-feature-settings-prop). We should disallow unquoted tags.
Comment 1 Kenichi Ishibashi 2012-05-02 03:52:42 PDT
Created attachment 139784 [details]
Patch
Comment 2 Kent Tamura 2012-05-06 19:02:44 PDT
Comment on attachment 139784 [details]
Patch

Looks good.
Comment 3 Kenichi Ishibashi 2012-05-06 19:35:25 PDT
Comment on attachment 139784 [details]
Patch

Thanks!
Comment 4 WebKit Review Bot 2012-05-06 20:12:29 PDT
Comment on attachment 139784 [details]
Patch

Clearing flags on attachment: 139784

Committed r116263: <http://trac.webkit.org/changeset/116263>
Comment 5 WebKit Review Bot 2012-05-06 20:12:33 PDT
All reviewed patches have been landed.  Closing bug.